Package org.silverpeas.mobile.shared.dto.configuration

## Class Config

- java.lang.Object
- - org.silverpeas.mobile.shared.dto.configuration.Config

-     public class Config
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Config()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.google.web.bindery.autobean.shared.AutoBean<IConfig>` | `getAutoBean()` |
    `static Config` | `getBean​(com.google.web.bindery.autobean.shared.AutoBean<IConfig> b)` |
    `static Config` | `getDefaultConfig()` |
    `int` | `getFontSize()` |
    `boolean` | `isFavoritesDisplay()` |
    `boolean` | `isFreeZoneDisplay()` |
    `boolean` | `isFreeZoneThinDisplay()` |
    `boolean` | `isGrayscale()` |
    `boolean` | `isInverse()` |
    `boolean` | `isLastEventsDisplay()` |
    `boolean` | `isLastPublicationsDisplay()` |
    `boolean` | `isNewsDisplay()` |
    `boolean` | `isSepia()` |
    `boolean` | `isShortCutsDisplay()` |
    `boolean` | `isShortCutsToolsDisplay()` |
    `boolean` | `isStandard()` |
    `void` | `setFavoritesDisplay​(boolean favoritesDisplay)` |
    `void` | `setFontSize​(int fontSize)` |
    `void` | `setFreeZoneDisplay​(boolean freeZoneDisplay)` |
    `void` | `setFreeZoneThinDisplay​(boolean freeZoneThinDisplay)` |
    `void` | `setGrayscale​(boolean grayscale)` |
    `void` | `setInverse​(boolean inverse)` |
    `void` | `setLastEventsDisplay​(boolean lastEventsDisplay)` |
    `void` | `setLastPublicationsDisplay​(boolean lastPublicationsDisplay)` |
    `void` | `setNewsDisplay​(boolean newsDisplay)` |
    `void` | `setSepia​(boolean sepia)` |
    `void` | `setShortCutsDisplay​(boolean shortCutsDisplay)` |
    `void` | `setShortCutsToolsDisplay​(boolean shortCutsToolsDisplay)` |
    `void` | `setStandard​(boolean standard)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config()

  - ### Method Detail

    - #### getDefaultConfig

          public static Config getDefaultConfig()

    - #### isFreeZoneThinDisplay

          public boolean isFreeZoneThinDisplay()

    - #### setFreeZoneThinDisplay

          public void setFreeZoneThinDisplay​(boolean freeZoneThinDisplay)

    - #### isNewsDisplay

          public boolean isNewsDisplay()

    - #### setNewsDisplay

          public void setNewsDisplay​(boolean newsDisplay)

    - #### isLastPublicationsDisplay

          public boolean isLastPublicationsDisplay()

    - #### setLastPublicationsDisplay

          public void setLastPublicationsDisplay​(boolean lastPublicationsDisplay)

    - #### setLastEventsDisplay

          public void setLastEventsDisplay​(boolean lastEventsDisplay)

    - #### isFavoritesDisplay

          public boolean isFavoritesDisplay()

    - #### setFavoritesDisplay

          public void setFavoritesDisplay​(boolean favoritesDisplay)

    - #### isLastEventsDisplay

          public boolean isLastEventsDisplay()

    - #### isShortCutsDisplay

          public boolean isShortCutsDisplay()

    - #### setShortCutsDisplay

          public void setShortCutsDisplay​(boolean shortCutsDisplay)

    - #### isFreeZoneDisplay

          public boolean isFreeZoneDisplay()

    - #### setFreeZoneDisplay

          public void setFreeZoneDisplay​(boolean freeZoneDisplay)

    - #### isShortCutsToolsDisplay

          public boolean isShortCutsToolsDisplay()

    - #### setShortCutsToolsDisplay

          public void setShortCutsToolsDisplay​(boolean shortCutsToolsDisplay)

    - #### getFontSize

          public int getFontSize()

    - #### setFontSize

          public void setFontSize​(int fontSize)

    - #### isStandard

          public boolean isStandard()

    - #### setStandard

          public void setStandard​(boolean standard)

    - #### isGrayscale

          public boolean isGrayscale()

    - #### setGrayscale

          public void setGrayscale​(boolean grayscale)

    - #### isSepia

          public boolean isSepia()

    - #### setSepia

          public void setSepia​(boolean sepia)

    - #### isInverse

          public boolean isInverse()

    - #### setInverse

          public void setInverse​(boolean inverse)

    - #### getAutoBean

          public com.google.web.bindery.autobean.shared.AutoBean<IConfig> getAutoBean()

    - #### getBean

          public static Config getBean​(com.google.web.bindery.autobean.shared.AutoBean<IConfig> b)